Subject: Re: [feature request] git add completion should exclude staged content

From: Manlio Perillo <[email-masked]>
Date: Mon, 28 Jan 2013 10:26:39 +0100

Il 28/01/2013 00:00, Junio C Hamano ha scritto:
> wookietreiber <[email-masked]> writes:
> 
>> I have a feature request for `git add` auto completion:
>>
>> `git add` auto completion suggests all files / directories,
>> filtered by nothing. I guess it would be much nicer (as in
>> increasing productivity) if it would only suggest unstaged
>> content, as reported by `git status`, because that would be the
>> only content one would be able to add.
> 
> I think that is what Manlio Perillo tried to do with the stalled
> mp/complete-paths topic that is queued in 'pu'.
> 
> Manlio, any progress?

Well, I assumed that the patch was stalled due to missing review from
git completion experts...

For this reason I have not updated it with your latest suggestions,
waiting for the review (also, because now I'm busy with other projects).

For the OP: the last patch can be found in the mailing list archive,
with the subject:
	[PATCH v5] git-completion.bash: add support for path completion
and date:
	Fri, 11 Jan 2013 19:48:43 +0100

Can you please test it?

Regards   Manlio